package stackRegistration;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

public class TranslationCellRenderer extends JLabel implements ListCellRenderer {


	/**
	 * 
	 */
	private static final long serialVersionUID = 5244293719476639861L;

	public TranslationCellRenderer() {
		super();
	}

	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
		this.setText(((AlignmentSlice)value).getTranslationString());
		 setBackground(isSelected ? Color.black : Color.white);
         setForeground(isSelected ? Color.white : Color.black);
		return this;
	}

}
